Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
anttix
Pingviini külastaja
Pingviini külastaja



Liitunud: 18.09.2010
Postitused: 18


estonia.gif
postituspostitatud: 29.09.2010, 01:24  postituse pealkiri:  (teema puudub)  

Tarkvaraarenduse eest vastutab RIA-s tehnikadirektor hr. Kalle Arula (kalle.arula@ria.ee).

Võiks küsida tema käest otse, et kas see ongi nüüd see, mille eest riik maksab Sertifitseerimiskeskus AS-ile umbes 7 miljonit krooni.


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 731
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 29.09.2010, 21:39  postituse pealkiri:  (teema puudub)  

imapi kirjutas:
kuna Meie oleme tõenäoliselt selle tarkvara Linuxi versiooni kõige aktiivsemad testijad / kasutajad.

Valmispakettide testimisega on ju nagu ikka:
jõuad kuskile maale ja siis võid saata testi raporti - juhend raporteerimiseks on täiesti olemas, aadress ka, kuhu saata.
Ma vist unustasin oma raportile peale kirjutada, et see on testi raport, (kuigi e-kirja subject-real oli) - kirjutati vabanduskiri vastu Smile

Lähtekoodist testimiseks pakutav tundub küll nigelavõitu infoga olevat.
Eile proovisin tööarvuti openSUSE-11.1-l. Seal andis ccmake igas paketis, mida proovisin, sissejuhatuseks süntaksi vea teate - et sulud pole tasakaalus. Sülearvuti openSUSE-11.2-s ei anna. Siin jääb sõltuvuste taha kinni, aga et mul on täna-homme kindlasti vaja töötavat ID-kaarti, siis ei ole eelpool teiste poolt kirjutatu põhjal arvates nii beeta versioone kompileeruvaist pakettidest söandanud installeerida.
Nii et lähtekoodist kompileerimine lükkub edasi.

Selle testi pärast ei hakka 11.2-e 11.3-ks ka vahetama - nagunii tuleb üllatusi, aga neid lähipäevadel ei taha, jätkub niigi.


daddo
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 19.07.2005
Postitused: 98

Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 30.09.2010, 00:14  postituse pealkiri:  (teema puudub)  

Ega siit vist midagi väga head seekord taas tulla saa, kui testimisaeg juba praegusel hetkel jääb lähemaks kui üks kuu...


asjameez
Vana Pingviin
Vana Pingviin


Vanus: 31
Liitunud: 09.03.2007
Postitused: 428
Asukoht: Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 30.09.2010, 01:11  postituse pealkiri:  (teema puudub)  

Võin eksida, aga kas mõned kuud tagasi polnud juba väga väga lähedal 1.0 lõppversioonile?

_________________
"Dumbusers use Windows. Powerusers use Linux. Dumbusers who think they are powerusers use Mac."

akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 731
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 30.09.2010, 08:38  postituse pealkiri:  (teema puudub)  

asjameez kirjutas:
kas mõned kuud tagasi polnud juba väga väga lähedal 1.0 lõppversioonile?

Mõned kuud tagasi lõpetas riik lepingu eelmise tegijaga.


imapi
Vana Pingviin
Vana Pingviin


Vanus: 40
Liitunud: 01.12.2005
Postitused: 567
Asukoht: Rakvere
Distributsioon: Mageia Cauldron
estonia.gif
postituspostitatud: 30.09.2010, 08:44  postituse pealkiri:  (teema puudub)  

akbgf kirjutas:
mul on täna-homme kindlasti vaja töötavat ID-kaarti, siis ei ole eelpool teiste poolt kirjutatu põhjal arvates nii beeta versioone kompileeruvaist pakettidest söandanud installeerida.
Nii et lähtekoodist kompileerimine lükkub edasi.

Selle testi pärast ei hakka 11.2-e 11.3-ks ka vahetama - nagunii tuleb üllatusi, aga neid lähipäevadel ei taha, jätkub niigi.


Ma küll ei ole väga aktiivne SuSE kasutaja aga kas mitte ei pidanud SuSEl olema üüber edev buildsüstem, mis teeb sul igast asjast rpm -i?

_________________
More than once my wife has asked why I don't do Windows, because that's where the money is. Why don't I just sell drugs or produce porn - there's money in those things, right?

anttix
Pingviini külastaja
Pingviini külastaja



Liitunud: 18.09.2010
Postitused: 18


estonia.gif
postituspostitatud: 30.09.2010, 13:09  postituse pealkiri:  (teema puudub)  

imapi kirjutas:

Ma küll ei ole väga aktiivne SuSE kasutaja aga kas mitte ei pidanud SuSEl olema üüber edev buildsüstem, mis teeb sul igast asjast rpm -i?


Kas mitte see? https://build.opensuse.org/

Muuseas, http://esteid.googlecode.com Downloads alla on tekkinud lähtetekstide tõrvapallid.
See pole küll "ametlik" tarkvara, aga äkki töötab Razz

akbgf kirjutas:
juhend raporteerimiseks on täiesti olemas, aadress ka, kuhu saata.


Raporteerimine käib sobilikult E-postiga, mis tähendab, et vead jäävad avalikkuse eest varju.




Viimati muutis anttix 30.09.2010, 13:26; muudetud 2 korda
anttix
Pingviini külastaja
Pingviini külastaja



Liitunud: 18.09.2010
Postitused: 18


estonia.gif
postituspostitatud: 30.09.2010, 13:22  postituse pealkiri:  (teema puudub)  

akbgf kirjutas:

Eile proovisin tööarvuti openSUSE-11.1-l. Seal andis ccmake igas paketis, mida proovisin, sissejuhatuseks süntaksi vea teate - et sulud pole tasakaalus.


Vaatasin ka korra sinna hirmsasse zip faili sisse. Tundub, et erinevalt esteid.googlecode.com-i kolinud endisele Smartlinki arendusele on uued tegelased leidnud CMake 2.8 minimaalse vajaliku olevat. 11.1-l on minu mälu järgi CMake 2.6.
Seega hüvasti debian, CentOS jt vanemat cmake-t kasutavad distrod.


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 731
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 30.09.2010, 23:14  postituse pealkiri:  (teema puudub)  

anttix kirjutas:
Vaatasin ka korra sinna hirmsasse zip faili sisse. Tundub, et erinevalt esteid.googlecode.com-i kolinud endisele Smartlinki arendusele on uued tegelased leidnud CMake 2.8 minimaalse vajaliku olevat. 11.1-l on minu mälu järgi CMake 2.6.

11.1-l on jah ccmake version 2.6-patch 2,

aga
../../../../digidoc/libdigidoc/trunk/CMakeLists.txt:
cmake_minimum_required( VERSION 2.6 )

Hm,
veidi allpool kontrollitakse jah, et kas on väiksem kui 2.8
- et siis vajab OpenSSLCrypto-t.

Aga tõsi ta on, et 2.6-ga saab vea ja ei tee midagi,
2.8-ga teeb midagi.


kiirtee
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 26.04.2007
Postitused: 380
Asukoht: Tallinn
Distributsioon: Estobuntu 8.09
estonia.gif
postituspostitatud: 02.10.2010, 21:52  postituse pealkiri:  (teema puudub)  

ilmselt selle tarkvaraga sertifikaate ei saa uuendada? Kas on kuidagi üldse võimalik sertifikaate uuendada kas siis näiteks smartlinki versiooniga või millegi varasemaga kas või näiteks käsurealt?


ottmaaten20
Pingviini kasutaja
Pingviini kasutaja


Vanus: 53
Liitunud: 31.10.2008
Postitused: 66

Distributsioon: Xubuntu 14.04
estonia.gif
postituspostitatud: 05.10.2010, 17:45  postituse pealkiri:  SK üllitatud pakid on Ubuntus võimalik tööle ajada  

Nädal tagasi siis juhtus meie asutuses katastroof kui peale uuendusi lakkasid töötajate ubuntu masinates (lucid-karmic) id kaardid töötamast peale upgrademist kurikuulsa id.eesti.ee paigaldusjuhendi järgi.
Digiallkiri peetis - mõnel masinal autentimine peetis: ühesõnaga täielik jama majas.
Täna leidsime kahel testmasinal probleemile lahenduse. Tundub, et asi on erinevatest allikatest pakkide segus ning see kompott ei hakka tööle, lihtsalt upgrademine ei vaheta kõiki pakette välja ja konfliktid on majas.
Selleks, et Ubuntu 10.04-s uuesti digidoc ja allkirjastamine jms tööle saada tuleks käituda järgnevalt.
1. Avada synaptic
2. all vasakul vajutada nupule "Tarkvaraallikas" v. "Repositories"
3. Vasakul üleval valida repod, kuskohast on eelnevalt installitud id-kaardiga seotud pakette. Seal seisab kindlasti smartlink'i repo. Meil oli veel ka ppa:id-kaart repo ja ka ftp.id.eesti.ee
4. Ükshaaval valida vasakult repo ja paremal täielikult eemaldada kõik paketid id kaardiga seotud repodest kaasa arvatud opensc jpt. Lühidalt - masin täielikult puhtaks id-kaardiga eelnevalt seotud olnud pakkidest.
5. Kui see tehtud siis eemaldada ka vastavad repositooriumid.
6. Siis lisada repositoorium "deb http://ftp.id.eesti.ee/pub/id/ubuntu/ lucid main" - see sama mis antud id.eesti.ee installijuhendis.
7. Seejärel apt-get update ja paigaldada pakett "estonianidcard" (sudo apt-get install estonianidcard)
8. Taaskäivitada firefox
9. Käivitada digidoc - ms laeb endale pikalt pähe uue serveri sertifikaadi
10. Kõik allkirjastamised peaks töötama.
NB! Ühes masinas ei olnud Java kataloogis enam "libpkcs11wrapper.so" faili. See tuli taaspaigaldada ideelabor.ee juhendite järgi. Seejärel töötas kõik korralikult (SEB;SWED;NORDEA;EESTI.EE;) DIGIDOC.SK.EE ei tööta endiselt (Sertifitseerimiskeskuse enda portaal:-))

See SK-betapakk on ikka crap küll. Ei saa aru, miks see SK pidi selle taolisena üllitama. Et ikka peavalu ja ebastabiilsust ühiskonnas luua. S.....d!!!!
Vanema versiooniga 9.10 on asi lootusetu. Kui ID-kaardindus peeti läheb, siis meie arust ei aita muu kui upgrade 10.04-le ja siis pakid peale vastavalt üleval olevale juhendile.

Tore kui keegi targem oskaks ülalpool oleva protseduuri ainult terminalikäskudega ära kirjeldada.

NB!! Arvo Mägile peaks ka keegi teatama, et ta oma ubuntu kohandamisskriptikese ära parandaks. Kui praegu selle järgi tegutseda, siis ongi ID-kaardindus kohe peetis.


sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4359
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 05.10.2010, 19:16  postituse pealkiri:  Re: SK üllitatud pakid on Ubuntus võimalik tööle ajada  

ottmaaten20 kirjutas:
Nädal tagasi siis juhtus meie asutuses katastroof kui peale uuendusi lakkasid töötajate ubuntu masinates (lucid-karmic) id kaardid töötamast peale upgrademist kurikuulsa id.eesti.ee paigaldusjuhendi järgi.
Digiallkiri peetis - mõnel masinal autentimine peetis: ühesõnaga täielik jama majas.
Täna leidsime kahel testmasinal probleemile lahenduse. Tundub, et asi on erinevatest allikatest pakkide segus ning see kompott ei hakka tööle, lihtsalt upgrademine ei vaheta kõiki pakette välja ja konfliktid on majas.
Selleks, et Ubuntu 10.04-s uuesti digidoc ja allkirjastamine jms tööle saada tuleks käituda järgnevalt.
1. Avada synaptic
2. all vasakul vajutada nupule "Tarkvaraallikas" v. "Repositories"
3. Vasakul üleval valida repod, kuskohast on eelnevalt installitud id-kaardiga seotud pakette. Seal seisab kindlasti smartlink'i repo. Meil oli veel ka ppa:id-kaart repo ja ka ftp.id.eesti.ee
4. Ükshaaval valida vasakult repo ja paremal täielikult eemaldada kõik paketid id kaardiga seotud repodest kaasa arvatud opensc jpt. Lühidalt - masin täielikult puhtaks id-kaardiga eelnevalt seotud olnud pakkidest.
5. Kui see tehtud siis eemaldada ka vastavad repositooriumid.
6. Siis lisada repositoorium "deb http://ftp.id.eesti.ee/pub/id/ubuntu/ lucid main" - see sama mis antud id.eesti.ee installijuhendis.
7. Seejärel apt-get update ja paigaldada pakett "estonianidcard" (sudo apt-get install estonianidcard)
8. Taaskäivitada firefox
9. Käivitada digidoc - ms laeb endale pikalt pähe uue serveri sertifikaadi
10. Kõik allkirjastamised peaks töötama.
NB! Ühes masinas ei olnud Java kataloogis enam "libpkcs11wrapper.so" faili. See tuli taaspaigaldada ideelabor.ee juhendite järgi. Seejärel töötas kõik korralikult (SEB;SWED;NORDEA;EESTI.EE;) DIGIDOC.SK.EE ei tööta endiselt (Sertifitseerimiskeskuse enda portaal:-))

See SK-betapakk on ikka crap küll. Ei saa aru, miks see SK pidi selle taolisena üllitama. Et ikka peavalu ja ebastabiilsust ühiskonnas luua. S.....d!!!!
Vanema versiooniga 9.10 on asi lootusetu. Kui ID-kaardindus peeti läheb, siis meie arust ei aita muu kui upgrade 10.04-le ja siis pakid peale vastavalt üleval olevale juhendile.

Tore kui keegi targem oskaks ülalpool oleva protseduuri ainult terminalikäskudega ära kirjeldada.

NB!! Arvo Mägile peaks ka keegi teatama, et ta oma ubuntu kohandamisskriptikese ära parandaks. Kui praegu selle järgi tegutseda, siis ongi ID-kaardindus kohe peetis.


soovitaks pigem esteid projekti poolt pakendatavaid asju kasutada..

http://code.google.com/p/esteid/
http://code.google.com/p/esteid/wiki/Ubuntu

ja asjad peaks töötama ka ilma java junnita..

http://code.google.com/p/esteid/wiki/PortaalidesTestimine

SK paki paigaldamine on otsene endale häda kaela tõmbamine.. Smile

_________________
Image Image Image

ottmaaten20
Pingviini kasutaja
Pingviini kasutaja


Vanus: 53
Liitunud: 31.10.2008
Postitused: 66

Distributsioon: Xubuntu 14.04
estonia.gif
postituspostitatud: 05.10.2010, 19:28  postituse pealkiri:  (teema puudub)  

Tänud info eest! Kahjuks polnud teadlik selle varamu eksistentsist. Proovime kohe ära.

Siiski, siiski -

Praegu annab sinu viidatud repo pideva veateate:
Failed to fetch http://ppa.launchpad.net/esteid/ppa/ubuntu/dists/lucid/main/binary-i386/Packages.gz 404 Not Found

On siis repo surnud?


merike
Pingviini aktivist
Pingviini aktivist



Liitunud: 06.04.2007
Postitused: 155
Asukoht: Laagri/Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 05.10.2010, 20:43  postituse pealkiri:  (teema puudub)  

Seal paistavad olevat ainult Maverickile mõeldud pakid (https://launchpad.net/~esteid/+archive/ppa)
Endal on selline kasutusel "http://id.smartlink.ee/repo/release/ubuntu/ lucid main". See oli seal varasemalt viidatud ka mu meelest. Senini on väga hästi töötanud. SK pakkidest hoian teiste tagasiside põhjal vähemalt esialgu eemale.

Edit: paistab, et link ennetas pakke, tundub et ka karmic on tekkimas hetkel.


ottmaaten20
Pingviini kasutaja
Pingviini kasutaja


Vanus: 53
Liitunud: 31.10.2008
Postitused: 66

Distributsioon: Xubuntu 14.04
estonia.gif
postituspostitatud: 05.10.2010, 21:15  postituse pealkiri:  (teema puudub)  

Meil keeras see repo:
http://id.smartlink.ee/repo/release/ubuntu/ lucid main
kyll asjad pea peale. Igal juhul kui praegu toimib, siis uuendusi peale lasta ei tohi - asi on kohe peetis.
Hetkel testisin maverickiga esteid repot, aga sealt tulevad ka veateated. Tuleb oodata, kuni asjad veidi maha rahunevad. Igal juhul on selle id-kaardindusega pidev jama 6hus.
Praegu endal uute SK-pakkidega toimib.


merike
Pingviini aktivist
Pingviini aktivist



Liitunud: 06.04.2007
Postitused: 155
Asukoht: Laagri/Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 05.10.2010, 21:19  postituse pealkiri:  (teema puudub)  

ottmaaten20 kirjutas:
Meil keeras see repo:
http://id.smartlink.ee/repo/release/ubuntu/ lucid main
kyll asjad pea peale. Igal juhul kui praegu toimib, siis uuendusi peale lasta ei tohi - asi on kohe peetis.

Kõik uuendused on peale lastud, ikka toimib. Samas seda kohandamisskripti pole kasutanud kunagi, äkki selles mingi vahe.


sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4359
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 05.10.2010, 22:00  postituse pealkiri:  (teema puudub)  

merike kirjutas:

Kõik uuendused on peale lastud, ikka toimib. Samas seda kohandamisskripti pole kasutanud kunagi, äkki selles mingi vahe.


seda kohandamisskripti ei tohiks vaja ollagi..

L: nüüd peaks lucidi pakid ka olemas olema..

_________________
Image Image Image

anttix
Pingviini külastaja
Pingviini külastaja



Liitunud: 18.09.2010
Postitused: 18


estonia.gif
postituspostitatud: 06.10.2010, 00:41  postituse pealkiri:  (teema puudub)  

ftp.smartlink.ee all on kogu aeg olnud nn "nightly build" ehk siis igaöiselt automaatselt lähtekoodist kompileeritud pakid.
See, et nendes aeg-ajalt midagi katki on, ongi arusaadav.

Samas viimased pool aastat on see repo suhteliselt stabiilne olnud.

Aga kui Sul on mitu repositooriumi segamini nagu siin kurdeti, ehk siis id.eesti.ee, ftp.smartink.ee ja veel midagi, kus on samade nimedega pakid, siis ongi jama majas.

Soovitan edaspidi kasutada siin viidatud Ubuntu ppa-d, kuna esteid.googlecode.com projekt on valinud just selle levitamisviisi.

Probleemide puhul palun kirjutada projekti issuetrackerisse.

Aitäh!

EDIT: Ahjaa, veel üks asi tuli meelde. Ei vanemates nightly buildides, ega ka SK versioonis ole Firefoxis Java allkirjaappletite konverterit. "Päris" Java plugin töötab aga ainult siis, kui pkcs11 JNI sild (see imelik .so fail) on Java kataloogis. Iga Java uuendusega läheb see katki, kuna kataloog muutub.


illukas
Vana Pingviin
Vana Pingviin


Vanus: 40
Liitunud: 24.10.2006
Postitused: 2036


norway.gif
postituspostitatud: 06.10.2010, 09:54  postituse pealkiri:  (teema puudub)  

ottmaaten20 kirjutas:
Meil keeras see repo:
http://id.smartlink.ee/repo/release/ubuntu/ lucid main
kyll asjad pea peale. Igal juhul kui praegu toimib, siis uuendusi peale lasta ei tohi - asi on kohe peetis.

lukusta versioon ära või keela repo lihtsalt ära, siis ta süsteemi uuendamiste ajal ei uuenda id junni asju, samas muu süsteemi hoiab värske!

Annaks jumal et see idioodinali lõpuks ära lõpetatakse, nagu seda tegi UK.

_________________
https://www.inlink.ee

sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4359
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 06.10.2010, 12:20  postituse pealkiri:  (teema puudub)  

illukas kirjutas:

Annaks jumal et see idioodinali lõpuks ära lõpetatakse, nagu seda tegi UK.


Rolling Eyes

parem on ikka igal pool paberit raisata ja ise kohale joosta? seda mõtled?

_________________
Image Image Image

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group